<script>
    export default {
        data: () => ({
            dropdown: false
        }),
        methods: {
            toggleDropdown(){ this.dropdown = !this.dropdown; },
            beforeEnter(el){ el.style.height = 0 },
            enter(el){ el.style.height = el.scrollHeight + 'px' },
            beforeLeave(el){ el.style.height = el.scrollHeight + 'px' },
            leave(el){ el.style.height = 0 },
        },
    }
</script>

<template>
    <div class="docs-dropdown dropdown">
        <div class="dropdown-header tx-14 tx-medium flex align-center min-h-7 justify-between cursor-pointer" @click="toggleDropdown()">
            <div>
                Documentos compartidos <span class="tx-white inline-block py-1 px-2 bg-blue-1 rounded-4 ml-2">3</span>
            </div>

            <img src="@/assets/images/views/panel/icon-angle-down.svg" alt="" class="dropdown-icon max-w-6 transition-200" :class="[ dropdown && 'rotate-180' ]">
        </div>

        <transition
            @before-enter="beforeEnter"
            @enter="enter"
            @before-leave="beforeLeave"
            @leave="leave">
            <div class="dropdown-wrapper overflow-hidden transition-400" v-if="dropdown">
                <div class="grid-docs grid grid-cols-3 gap-8 pt-4">
                    <a href="https://sellia-web-page-test.s3.us-east-2.amazonaws.com/Placeholder-PDF.pdf" target="_blank" v-for="(doc, idx) in 3" :key="idx">
                        <img class="cursor-pointer" src="@/assets/images/views/panel/icon-pdf.png" alt="">
                    </a>
                </div>
            </div>
        </transition>
    </div>
</template>
<style lang="scss" scoped>
    .dropdown-wrapper{
        max-height: 160px;
        overflow: auto;
    }
</style>